/* Stata File for "Redistributive and Productivity Shocks"
 
   	1) Computes Labor Share
 	2) Productivity Residual
 	3) Estimates Bivariate Shock and Reports Overshooting (IRFs)		 
 
  Jose-Victor Rios-Rull and Raul Santaeulalia-Llopis JME, 2010  */


clear
set mem 250m
set matsize 800



local path "C:\VAR5\Redshocks"

use      "`path'\data_August_2006.dta", clear

/* Computation of Labor Share */

	do "`path'\compute_labor_share.do"  

/* Computation of Producitivity Residual */

	do "`path'\compute_series_mfp.do"

/* Estimation of the Shocks */

	do "`path'\detrending.do"
	do "`path'\VARestimation.do"


/*-------- end of program -------*/
