
/* Remove Intercept*/

regress lnh t
gen b0h=_b[_cons]
gen ilnh=lnh-b0h

regress lnkp t
gen b0kp=_b[_cons]
gen ilnkp=lnkp-b0kp

regress lnkpd t
gen b0kpd=_b[_cons]
gen ilnkpd=lnkpd-b0kpd

regress lnkpdg t
gen b0kpdg=_b[_cons]
gen ilnkpdg=lnkpdg-b0kpdg

regress lngnp t
gen b0gnp=_b[_cons]
gen ilngnp=lngnp-b0gnp

regress lngnpd t
gen b0gnpd=_b[_cons]
gen ilngnpd=lngnpd-b0gnpd

regress lngnpdg t
gen b0gnpdg=_b[_cons]
gen ilngnpdg=lngnpdg-b0gnpdg


/* Remove Intercept and trend */

regress lnh t
predict plnh
gen nlnh=lnh-plnh

regress lnkp t
predict plnkp
gen nlnkp=lnkp-plnkp

regress lnkpd t
predict plnkpd
gen nlnkpd=lnkpd-plnkpd

regress lnkpdg t
predict plnkpdg
gen nlnkpdg=lnkpdg-plnkpdg

regress lngnp t
predict plngnp
gen nlngnp=lngnp-plngnp

regress lngnpd t
predict plngnpd
gen nlngnpd=lngnpd-plngnpd


regress lngnpdg t
predict plngnpdg
gen nlngnpdg=lngnpdg-plngnpdg


/* Generate a0, una0, na0, unz0, unz0d, unz0dg */

gen 	a0 =  (lngnp-(av_theta)*lnkp -(1-av_theta)*lnh)/(1-av_theta)
regress a0 t
gen 	gamma0= _b[t]
predict pa0
gen 	una0 = a0-pa0
gen 	na0 = una0+gamma0*t

gen 	a0d =  (lngnpd-(av_thetad)*lnkpd -(1-av_thetad)*lnh)/(1-av_thetad)
regress a0d t
gen 	gamma0d= _b[t]
predict pa0d
gen 	una0d = a0d-pa0d
gen 	na0d = una0d+gamma0d*t

gen 	a0dg =  (lngnpdg-(av_thetadg)*lnkpdg -(1-av_thetadg)*lnh)/(1-av_thetadg)
regress a0dg t
gen 	gamma0dg= _b[t]
predict pa0dg
gen 	una0dg = a0dg-pa0dg
gen 	na0dg = una0dg+gamma0dg*t

gen nz0   = lngnp   - av_theta*lnkp     - (1-av_theta)*lnh
gen nz0d  = lngnpd  - av_thetad*lnkpd   - (1-av_thetad)*lnh
gen nz0dg = lngnpdg - av_thetadg*lnkpdg - (1-av_thetadg)*lnh

gen unz0   = nlngnp   - av_theta*nlnkp     - (1-av_theta)*nlnh
gen unz0d  = nlngnpd  - av_thetad*nlnkpd   - (1-av_thetad)*nlnh
gen unz0dg = nlngnpdg - av_thetadg*nlnkpdg - (1-av_thetadg)*nlnh

replace nz0   = unz0   + (1-av_theta)*t*gamma0
replace nz0d  = unz0d  + (1-av_thetad)*t*gamma0d
replace nz0dg = unz0dg + (1-av_thetadg)*t*gamma0dg


replace z2   = -z2
replace z2d  = -z2d
replace z2dg = -z2dg

/* Generate a1, z1, unz1 */

egen mean_KY=mean(KY)
gen  mean_lnKY=ln(mean_KY)
gen  mean_lnKAH=mean_lnKY/(1-av_theta)

gen unz1 = nlngnp-(av_theta-z2)*nlnkp-(1-av_theta+z2)*nlnh
replace unz0 = nlngnp-   (av_theta)*nlnkp-   (1-av_theta)*nlnh


/* Generate nz1d & unz1d */


egen mean_KYd=mean(KYd)
gen  mean_lnKYd=ln(mean_KYd)
gen  mean_lnKAHd=mean_lnKYd/(1-av_thetad)

gen unz1d = nlngnpd-(av_thetad-z2d)*nlnkpd-(1-av_thetad+z2d)*nlnh
replace unz0d = nlngnpd-    (av_thetad)*nlnkpd-   (1-av_thetad)*nlnh



/* Generate unz1dg */

egen mean_KYdg=mean(KYdg)
gen  mean_lnKYdg=ln(mean_KYdg)
gen  mean_lnKAHdg=mean_lnKYdg/(1-av_thetadg)

gen unz1dg = nlngnpdg-(av_thetadg-z2dg)*nlnkpdg-(1-av_thetadg+z2dg)*nlnh
replace unz0dg = nlngnpdg-     (av_thetadg)*nlnkpdg-     (1-av_thetadg)*nlnh



/* LS ul */

gen  KSul = 1 - LSul
egen av_thetaul=mean(KSul)

gen z2ul=LSul-(1-av_thetaul)
gen unz1ul = nlngnp-(av_thetaul-z2ul)*nlnkp-(1-av_thetaul+z2ul)*nlnh
gen unz0ul = nlngnp     -(av_thetaul)*nlnkp-     (1-av_thetaul)*nlnh



replace z2   = -z2
replace z2d  = -z2d
replace z2g  = -z2g
replace z2dg = -z2dg


